Subject: Re: [bug#57757] [PATCH] * gnu/packages/wm.scm: Add sbcl-stumpwm-pamixer

From: Trev <[email-masked]>
Date: Mon, 19 Sep 2022 10:29:01 -0700

Maxime Devos <[email-masked]> writes:

>>> On 12-09-2022 23:41, Trevor Richards wrote:
>>>> +      (inputs `(("stumpwm" ,stumpwm "lib")))
>>>
>>> Try running "./pre-inst-env guix style --input-simplification=always
>>> sbcl-stumpwm-pamixer", it will have a proposed change.
>>>
>> 
>> In my case it does not. I updated the label to "stumpwm:lib" in the
>> hopes that I could patch it the way we like it.
>
> OK, didn't expect that.  IIUC, you can drop the input label with
>
> (inputs (list `(,stumpwm "lib")))
>

Yes, this is preferrable. I will send a third revision of the patch.

-- 

Trev : 0FB7 D06B 4A2A F07E AD5B  1169 183B 6306 8AA1 D206